---
schema_version: "1"
id: dd2780c09c66ea3a1218651cc921de9ed5dd8869fe1eab5ce99075569b11d632
title: Get Blob Data
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/platform/api-rest/guides/do-me/dome-sobject-blob-retrieve.md
canonical_url: https://developer.salesforce.com/docs/platform/api-rest/guide/dome-sobject-blob-retrieve.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: 45c47ee9f81d60a3af798f08b23471f4ce2ed1d9834aedb71e247884d81fd1b0
products:
  - REST API Developer Guide
  - Platform Developer Content
---

# Get Blob Data

Use the sObject Blob Get resource to get blob data for a given record. To get blob data, a record with blob data must exist in Salesforce.

Only certain standard objects have blob fields, such as Attachment, ContentNote, ContentVersion, Document, Folder, and Note.

**note:** The sObject Blob Get resource isn’t compatible with Composite API requests, because it returns binary data instead of data in JSON or XML formats. Instead, make individual sObject Blob Get requests to retrieve blob data.

The following example gets the blob data for the Document record that was created in [Insert or Update Blob Data](https://developer.salesforce.com/docs/platform/api-rest/guide/dome-sobject-insert-update-blob.md).

## Example for retrieving blob data from a Document record

```nolang
curl https://MyDomainName.my.salesforce.com/services/data/v68.0/sobjects/Document/015D0000000N3ZZIA0/body -H "Authorization: Bearer token"
```

**Example request body:** none required

**Example response body**

Document body content is returned in binary form. The response content type isn’t JSON or XML since the returned data is binary. You can save the returned binary data to a file to store and access it.

**See Also**  


-   [Insert or Update Blob Data](https://developer.salesforce.com/docs/platform/api-rest/guide/dome-sobject-insert-update-blob.md)

